# Postgresqlxc::Server::Createdb
# More worked require
define postgresqlxc::server::createdb (
  $db_name,
  $coordinator_postgresql_params  = {},
  $user				  = $postgresqlxc::params::user,
  $bin_dir			  = $postgresqlxc::params::bin_dir
) {

  # Validation should go here
  $real_postgresql_params = merge(  
    $postgresqlxc::params::coordinator_postgresql_params, 
    $coordinator_postgresql_params
  )
  $port  = $real_postgresql_params['port']
  $host  = $real_postgresql_params['listen_addresses']
  
  # Connect to the coordinator and create the require entries in the database
  $psql_command	= "${bin_dir}/createdb $db_name"
  exec {$psql_command:
    user    => $user,
    unless  => "${bin_dir}/psql -l 2>&1 | grep -q ${db_name}"
  }


}
