# PRIVATE CLASS: do not call directly
define postgresqlxc::server::layout (
  $user,
  $group,
  $base_dir,
  $data_dir
) {

  file {$base_dir:
    ensure => directory,
    owner  => $user,
    group  => $group,
    mode   => '0700',
  }

  file {$data_dir:
    ensure => directory,
    owner  => $user,
    group  => $group,
    mode   => '0700',
  }

  File[$base_dir] -> File[$data_dir] 
}
