# PRIVATE CLASS: do not call directly
define postgresqlxc::server::service (
  $service_name,
  $user,
  $data_dir
) {

  $service_ensure = $ensure ? {
    present => true,
    absent  => false,
    default => $ensure
  }

  service { "$service_name":
    ensure    => true,
    name      => $service_name,
    enable    => true,
    hasstatus => true,
    subscribe => [File["${data_dir}/pg_hba.conf"], File["${data_dir}/postgresql.conf"]]
  }

}
