# Postgresqlxc::Server::Node
# This doesn't work correctly, it may not be possible to do this completely using puppet.
# More work require.
define postgresqlxc::server::node (
  $node_name,
  $postgresql_params,
  $user				  = $postgresqlxc::params::user,
  $bin_dir			  = $postgresqlxc::params::bin_dir
) {

  # Validation should go here
  $real_postgresql_params = merge(  
    $postgresqlxc::params::datanode_postgresql_params, 
    $postgresql_params
  )

  $datanode_port  = $real_postgresql_params['port']
  $datanode_host  = $real_postgresql_params['listen_addresses']
  
  # Connect to the coordinator and create the require entries in the database
  $node_cmd	= "${bin_dir}/psql -c \"CREATE NODE ${node_name} WITH (TYPE = 'datanode', PORT = ${datanode_port}, HOST = '${datanode_host}')\" postgres"
  $reload_cmd	= "${bin_dir}/psql -c \"SELECT pgxc_pool_reload()\" postgres"
  $psql_cmd     = "$node_cmd && $reload_cmd"
  
  exec {$psql_cmd:
    user    => $user,
    unless  => "${bin_dir}/psql -c \"SELECT node_name FROM pgxc_node WHERE node_name = '${node_name}'\" -t postgres 2>&1 | grep ${node_name}",
    path    => ['/bin', '/usr/bin']
  }


}
